<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddVariables Method (IEdmVariableMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableMgr6 Interface : AddVariables Method (IEdmVariableMgr6)

Visual Basic
C#
C++/CLI

ppoVariables
  Array of EdmVariableData structures; one structure for each variable (see Remarks)

Adds the specified variables to the vault.

# Syntax

Visual Basic |
--- | ---

    Sub AddVariables( _
       ByRef ppoVariables() As EdmVariableData _
    )

C# |
--- | ---

    void AddVariables(
       out EdmVariableData[] ppoVariables
    )

C++/CLI |
--- | ---

    void AddVariables(
    &   [Out] array<EdmVariableData>^ ppoVariables
    )

#### Parameters

ppoVariables
  Array of EdmVariableData structures; one structure for each variable (see Remarks)

# Example

See the IEdmVariableMgr6 examples.

# Remarks

In the ppoVariables structure, set mlVariableID to 0 before calling this method. The ID of the new variable is returned in mlVariableID.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariableMgr6 Interface
IEdmVariableMgr6 Members

# Availability

SOLIDWORKS PDM Professional 2007